* {
    margin: 0;
    font-family: sans-serif;
}

.header {
    display: flex;
    justify-content: space-evenly;
    background-color: rgba(0, 0, 0, 0.886);
    color: white;
    padding: 15px;
}

.q1 {
    display: flex;
    gap: 30px;
}

.q3 {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-top: 10px;

}

.q4 {
    display: flex;
    gap: 40px;
    margin-left: 100px;

}

.q5 {
    display: flex;
    align-items: center;
    margin-top: 10px;
    gap: 40px;
}

.q6 {
    border: none;
    padding: 15px;
    width: 150px;
    background-color: #FF9549;
    border-radius: 5px;
    font-size: 15px;
}

.block {
    background-image: url(./image\ 285.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 620px;
}

.w1 {
    color: white;
    margin-left: 200px;
    padding-top: 200px;
    line-height: 1.5;
    font-size: 25px;
}

.w2 {
    padding: 10px;
    border: none;
    background-color: #FF9549;
    border-radius: 5px;
    margin-top: 25px;
}

.block1 {
    background-color: rgba(0, 0, 0, 0.347);
    height: 700px;
    position: relative;
}

.e1 {
    display: flex;
    justify-content: space-evenly;
    background-color: #252C2C;
    width: 80%;
    margin: auto;
    border-radius: 10px;
    padding: 10px;
    position: relative;
    top: 20px;

}

.w22 {
    width: 180px;
    height: 40px;
    padding: 10px;
    border: none;
    background-color: #FF9549;
    border-radius: 5px;
    margin-top: 25px;
}

.w222 {
    display: none;
}

.d5 {
    display: none;
}

.f1 {
    display: flex;
    margin-top: 50px;
    border: solid 2px white;
    width: 360px;
    padding: 20px 20px;
    border-radius: 10px;
    color: white;
    gap: 10px;
}

.f1 h1 {
    font-size: 25px;

}

.block2 {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 20px;
}

.t1 {
    width: 80%;
    margin: auto;
    text-align: center;
    font-size: 40px;
    color: white;
    margin-top: 70px;
}

.a1 {
    width: 300px;
    text-align: center;
}

.block3 {
    display: flex;
    justify-content: center;
    margin-top: 40px;
}

.f2 {
    border: none;
    background-color: #FF9549;
    border-radius: 5px;
    padding: 15px;
    width: 300px;
}

.f3 {
    border: 1px solid #FF9549;
    background-color: #252c2c00;
    color: white;
    border-radius: 5px;
    padding: 15px;
    width: 300px;
}

.o1 {
    line-height: 1.4;
}

.block4 {
    background-color: #1C2121;
    height: 750px;
}

.o2 {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 20px;
}

.s1 {
    background-color: #181818;
    display: flex;
    align-items: center;
    padding: 20px;
    width: 266px;
    color: white;
    gap: 10px;
    border-radius: 10px;
}

.block5 {
    display: flex;
    justify-content: center;
    gap: 10px;
}

.block11 {
    display: flex;
    justify-content: center;
    gap: 13px;
    padding: 20px;
}

.block45 {
    background-color: #252C2C;
    height: 750px;
}

.block43 {
    display: none
}

body {
    background: #1a1a1a;
}

.e1111 {
    text-align: center;
    font-size: 32px;
    margin-bottom: 30px;
    letter-spacing: 2px;
}

.filters {
    display: flex;
    gap: 20px;
    margin-bottom: 30px;
    width: 80%;
    margin: auto;
}

.filter {
    display: flex;
    flex-direction: column;
    gap: 6px;
    flex: 1;
}

.filter label {
    color: #aaa;
    font-size: 13px;
}

.filter select {
    background: #1e1e1e;
    color: white;
    border: 1px solid #333;
    padding: 12px 15px;
    border-radius: 8px;
    font-size: 14px;
    appearance: none;
    cursor: pointer;
}

.car-card {
    display: flex;
    align-items: center;
    background: #1a1a1a;
    border-radius: 12px;
    padding: 20px;
    margin-bottom: 15px;
    gap: 20px;
    width: 77%;
    margin: auto;
    margin-top: 20px;
    border: solid 1px gray;
}

.car-card img {
    width: 250px;
    object-fit: contain;
}

.car-info {
    flex: 1;
}

.car-info h2 {
    color: white;
    font-size: 22px;
    margin-bottom: 5px;
}

.car-info .spec {
    color: #aaa;
    font-size: 14px;
    margin-bottom: 10px;
}

.car-info .price {
    color: white;
    font-size: 20px;
    font-weight: bold;
    text-decoration: line-through;
    margin-bottom: 10px;
}

.car-info .tags {
    display: flex;
    gap: 20px;
    color: #aaa;
    font-size: 13px;
}

.car-btns {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.btn-orange {
    background: #FF9549;
    color: white;
    border: none;
    padding: 12px 25px;
    border-radius: 8px;
    font-size: 14px;
    cursor: pointer;
    width: 250px;
}

.btn-outline {
    background: transparent;
    color: white;
    border: 1px solid #FF9549;
    padding: 12px 25px;
    border-radius: 8px;
    font-size: 14px;
    cursor: pointer;
    width: 250px;

}

.load-more {
    display: block;
    margin: 30px auto 0;
    background: transparent;
    color: white;
    border: 1px solid #555;
    padding: 12px 40px;
    border-radius: 8px;
    font-size: 14px;
    cursor: pointer;
}

.block10 {
    display: flex;
    justify-content: center;
    gap: 130px;
    margin-top: 50px;
}

.m1 {
    margin-top: 50px;
}

.credit {
    background-image: url(./image\ 281.png);
    background-size: cover;
    background-position: center;
    width: 92%;
    height: 300px;
    display: flex;
    align-items: center;
    padding: 40px 60px;
    margin-top: 50px;
}

.credit-left h1 {
    color: white;
    font-size: 32px;
    letter-spacing: 1px;
    margin-bottom: 8px;
}

.credit-left p {
    color: #ddd;
    font-size: 14px;
    margin-bottom: 20px;
}

.credit-form label {
    color: #aaa;
    font-size: 13px;
    display: block;
    margin-bottom: 6px;
}

.credit-inputs {
    display: flex;
    gap: 0;
    margin-bottom: 10px;
}

.credit-inputs input {
    background: #1e1e1e;
    border: 1px solid #444;
    color: white;
    padding: 12px 15px;
    border-radius: 8px 0 0 8px;
    font-size: 14px;
    width: 250px;
    outline: none;
}

.credit-inputs button {
    background: #FF9549;
    color: rgb(0, 0, 0);
    border: none;
    padding: 12px 25px;
    border-radius: 0 8px 8px 0;
    font-size: 14px;
    cursor: pointer;
}

.credit-check {
    color: #aaa !important;
    font-size: 12px;
    display: flex !important;
    align-items: center;
    gap: 6px;
    cursor: pointer;
}

.corp {
    background-color: #444;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 10px 0px;
    border-radius: 12px;
    margin: 20px 0;
    width: 80%;
    margin: auto;
    margin-top: 30px;
}

.corp-left h2 {
    color: white;
    font-size: 20px;
    letter-spacing: 1px;
    margin-bottom: 20px;
}



.corp-right {
    display: flex;
    align-items: center;
    gap: 15px;
}

.corp-right img {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    object-fit: cover;
}

.corp-right h3 {
    color: white;
    font-size: 15px;
    margin-bottom: 5px;
}

.corp-right p {
    color: #aaa;
    font-size: 13px;
    line-height: 1.5;
}

.map-section {
    border-radius: 12px;
    overflow: hidden;
    margin: 20px 0;
    width: 80%;
    margin: auto;
    margin-top: 50px;
}

.map-img {
    width: 100%;
    height: 300px;
    object-fit: cover;
}

.map-info {
    background: #6055554d;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 30px;
    gap: 20px;
}

.map-col small {
    color: #aaa;
    font-size: 12px;
    display: block;
    margin-bottom: 6px;
}

.map-col p {
    color: white;
    font-size: 15px;
    line-height: 1.5;
}

.online {
    color: #aaa;
    font-size: 13px;
    margin-top: 4px;
    display: block;
}

.map-btn {
    background: #FF9549;
    color: rgb(0, 0, 0);
    border: none;
    padding: 12px 25px;
    border-radius: 8px;
    font-size: 14px;
    cursor: pointer;
    white-space: nowrap;
}

.disclaimer-section {
    padding: 20px 40px;
    font-family: sans-serif;
    color: #333;
}

.disclaimer-top {
    display: flex;
    justify-content: space-between;
    font-weight: bold;
    cursor: pointer;
    margin-bottom: 10px;
}

.disclaimer-text p {
    font-size: 13px;
    color: #555;
    line-height: 1.7;
    margin-bottom: 10px;
}

.disc-line {
    border: none;
    border-top: 1px solid #ddd;
    margin: 20px 0;
}

.footer-main {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 30px;
}

.footer-main-left h3 {
    font-size: 16px;
    margin-bottom: 4px;
}

.official {
    color: #aaa;
    font-size: 13px;
    margin-bottom: 10px;
}

.address {
    color: #555;
    font-size: 13px;
    margin-bottom: 10px;
}

.legal {
    color: #aaa;
    font-size: 12px;
    line-height: 1.6;
}

.footer-main-right {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 10px;
}

.phone-block h3 {
    font-size: 20px;
    text-align: right;
}

.online {
    color: #aaa;
    font-size: 13px;
}

.btn-orange {
    background: #FF9549;
    color: rgb(0, 0, 0);
    border: none;
    padding: 12px 25px;
    border-radius: 8px;
    font-size: 14px;
    cursor: pointer;
}

.footer-links {
    display: flex;
    gap: 20px;
    color: #555;
    font-size: 13px;
    cursor: pointer;
}

.footer-bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.footer-bottom p {
    color: #aaa;
    font-size: 13px;
}

.bottom-links {
    display: flex;
    gap: 30px;
}

.bottom-links a {
    color: #555;
    font-size: 13px;
    text-decoration: none;
}

.bottom-links a:hover {
    color: black;
}

@media (max-width:510px) {
    body {
        width: 100%;
    }

    .d1 {
        display: none;
    }

    .d2 {
        display: none;
    }

    .q1 {
        width: 100%;
        align-items: center;
    }

    .d3 {
        width: 100%;
        flex-direction: column;
        display: flex;
        flex-wrap: wrap;


    }

    .d4 {
        display: none;
    }

    .q3 {
        flex-direction: column;

    }

    .q3 h1 {
        font-size: 19px;
    }

    .q3 p {
        margin-top: -15px;
        color: gray;
    }

    .d5 {
        display: block;
        width: 100%;
        text-align: end;
        margin-left: 10px;
    }

    .block {
        width: 100%;
        height: 300px;


    }

    .w1 {
        display: none;

    }

    .w222 {
        display: block;
        width: 90%;
        padding: 20px;
        font-size: 17px;
        color: white;
    }

    .w2 {
        width: 100%;
        padding: 15px;
    }

    .e1 {
        width: 90%;
        flex-direction: column;
    }

    .w22 {
        width: 100%;
    }

    .e1 h1 {
        color: white;
        padding: 10px 0px;
        font-size: 30px;
    }

    .block2 {
        flex-direction: column;
        width: 100%;
    }

    .f1 {
        width: 85%;
        margin: auto;
        margin-top: 30px;
        align-items: center;
        height: 50px;
    }

    .block1 {
        height: 1300px;
    }

    .hh1 {
        display: none;
    }

    .t1 {
        font-size: 25px;
    }

    .block4 {
        width: 100%;
        flex-direction: column;
        height: 1500px;
    }

    .block43 {
        display: block;
        width: 100%;
        flex-direction: column;
        height: 1500px;
        background-color: #252C2C;
    }

    .block45 {
        display: none;
        width: 100%;
        flex-direction: column-reverse;
        height: 1500px;
        padding: 0px;
        margin: auto;
    }

    .o2 {
        width: 90%;
        flex-direction: column-reverse;
    }

    .o22 {
        width: 90%;
        flex-direction: column-reverse;
    }

    .o1 {
        width: 99%;
        font-size: 17px;
    }

    .disclaimer-section {
        padding: 20px;
    }

    .footer-main {
        flex-direction: column;
    }

    .footer-main-right {
        align-items: flex-start;
    }

    .footer-bottom {
        flex-direction: column;
        gap: 10px;
    }

    .footer-links {
        flex-direction: column;
        gap: 8px;
    }

    .fff2 {
        width: 90%;
    }

    .p23 {
        transform: rotate(90deg);
        margin-top: -70px;
    }

    .ff2 {
        flex-direction: column;
    }

    .f2 {
        width: 100%;
    }

    .f3 {
        width: 100%;
    }

    .block5 {

        width: 90%;
        display: flex;
        flex-wrap: wrap;
        margin: auto;
    }

    .s1 {
        width: 90%;
    }

    .er2 {
        width: 140px;

    }

    .er22 {
        width: 290px;
        height: 150px;
    }

    .block11 {
        display: flex;
        flex-wrap: wrap;
        width: 90%;
        margin: auto;
    }

    .filters {
        flex-direction: column;
    }

    .car-card {
        flex-direction: column;
        align-items: flex-start;
    }

    .car-card img {
        width: 100%;
    }

    .car-btns {
        width: 100%;
    }

    .btn-orange,
    .btn-outline {
        width: 100%;
    }

    .car-info .tags {
        flex-direction: column;
        gap: 8px;
    }

    .load-more {
        width: 100%;
    }

    .block10 {
        flex-direction: column;
        width: 100%;
    }

    .m2 {
        width: 100%;
        margin: auto;
    }

    .m1 {
        width: 90%;
        margin-top: -60px;
    }

    .credit {
        height: auto;
        padding: 20px 0px;
    }

    .credit-left h1 {
        font-size: 22px;
    }

    .credit-inputs {
        flex-direction: column;
    }

    .credit-inputs input {
        width: 100%;
        border-radius: 8px;

    }

    .credit-inputs button {
        border-radius: 8px;
        width: 100%;
        margin-top: 5px;
    }

    .corp {
        flex-direction: column;
        gap: 20px;
        text-align: center;
    }

    .corp-right {
        flex-direction: column;
        text-align: center;
    }

    .corp-left button {
        width: 80%;

    }

    .map-info {
        flex-direction: column;
        align-items: flex-start;
    }

    .map-btn {
        width: 100%;
    }

    .map-img {
        height: 200px;
    }






}